---
title: "Documenter"
weight: 6
output:
  blogdown::html_page:
    toc: false
    fig_width: 6
    dev: "svg"
---

<script src="/rmarkdown-libs/header-attrs/header-attrs.js"></script>


<p>Il est de bonne pratique, et utile de documenter ses fonctions de la manière suivante</p>
<pre class="r"><code>#&#39; somme, Somme de deux nombres
#&#39; @description
#&#39; Ma fonction fait la somme de deux nombres
#&#39; @param x un nombre
#&#39; @param y un nombre
#&#39; @return un nombre
#&#39; @examples
#&#39; x=1
#&#39; y=1
#&#39; somme(x,y)
somme&lt;-function(x,y){x+y}</code></pre>
<ul>
<li>Il sera possible de générer automatiquement les fichiers de documentation par la suite.</li>
<li>Celà permet de débugger l’intérieur du code.</li>
</ul>
